InvestigationRules
Creates an investigation rule
Beta: This endpoint is in beta.
Requires an API key. Team API keys are not supported.
POST
/
v1
/
ai
/
sre
/
investigation_rules
Creates an investigation rule
curl --request POST \
--url https://api.rootly.com/v1/ai/sre/investigation_rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "investigation_rules",
"attributes": {
"name": "<string>",
"instruction": "<string>",
"cooldown_seconds": 1073741823,
"position": 2,
"conditions": [
{
"field": "<string>",
"values": [
"<string>"
],
"key": "<string>"
}
]
}
}
}
'import requests
url = "https://api.rootly.com/v1/ai/sre/investigation_rules"
payload = { "data": {
"type": "investigation_rules",
"attributes": {
"name": "<string>",
"instruction": "<string>",
"cooldown_seconds": 1073741823,
"position": 2,
"conditions": [
{
"field": "<string>",
"values": ["<string>"],
"key": "<string>"
}
]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'investigation_rules',
attributes: {
name: '<string>',
instruction: '<string>',
cooldown_seconds: 1073741823,
position: 2,
conditions: [{field: '<string>', values: ['<string>'], key: '<string>'}]
}
}
})
};
fetch('https://api.rootly.com/v1/ai/sre/investigation_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rootly.com/v1/ai/sre/investigation_rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'type' => 'investigation_rules',
'attributes' => [
'name' => '<string>',
'instruction' => '<string>',
'cooldown_seconds' => 1073741823,
'position' => 2,
'conditions' => [
[
'field' => '<string>',
'values' => [
'<string>'
],
'key' => '<string>'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rootly.com/v1/ai/sre/investigation_rules"
payload := strings.NewReader("{\n \"data\": {\n \"type\": \"investigation_rules\",\n \"attributes\": {\n \"name\": \"<string>\",\n \"instruction\": \"<string>\",\n \"cooldown_seconds\": 1073741823,\n \"position\": 2,\n \"conditions\": [\n {\n \"field\": \"<string>\",\n \"values\": [\n \"<string>\"\n ],\n \"key\": \"<string>\"\n }\n ]\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rootly.com/v1/ai/sre/investigation_rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"type\": \"investigation_rules\",\n \"attributes\": {\n \"name\": \"<string>\",\n \"instruction\": \"<string>\",\n \"cooldown_seconds\": 1073741823,\n \"position\": 2,\n \"conditions\": [\n {\n \"field\": \"<string>\",\n \"values\": [\n \"<string>\"\n ],\n \"key\": \"<string>\"\n }\n ]\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rootly.com/v1/ai/sre/investigation_rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"type\": \"investigation_rules\",\n \"attributes\": {\n \"name\": \"<string>\",\n \"instruction\": \"<string>\",\n \"cooldown_seconds\": 1073741823,\n \"position\": 2,\n \"conditions\": [\n {\n \"field\": \"<string>\",\n \"values\": [\n \"<string>\"\n ],\n \"key\": \"<string>\"\n }\n ]\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "investigation_rules",
"attributes": {
"name": "<string>",
"resource_type": "alert",
"status": "manual",
"instruction": "<string>",
"cooldown_seconds": 1073741823,
"position": 2,
"conditions": [
{
"field": "<string>",
"operator": "is_one_of",
"values": [
"<string>"
],
"key": "<string>"
}
]
}
}
}Was this page helpful?
⌘I
Creates an investigation rule
curl --request POST \
--url https://api.rootly.com/v1/ai/sre/investigation_rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "investigation_rules",
"attributes": {
"name": "<string>",
"instruction": "<string>",
"cooldown_seconds": 1073741823,
"position": 2,
"conditions": [
{
"field": "<string>",
"values": [
"<string>"
],
"key": "<string>"
}
]
}
}
}
'import requests
url = "https://api.rootly.com/v1/ai/sre/investigation_rules"
payload = { "data": {
"type": "investigation_rules",
"attributes": {
"name": "<string>",
"instruction": "<string>",
"cooldown_seconds": 1073741823,
"position": 2,
"conditions": [
{
"field": "<string>",
"values": ["<string>"],
"key": "<string>"
}
]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'investigation_rules',
attributes: {
name: '<string>',
instruction: '<string>',
cooldown_seconds: 1073741823,
position: 2,
conditions: [{field: '<string>', values: ['<string>'], key: '<string>'}]
}
}
})
};
fetch('https://api.rootly.com/v1/ai/sre/investigation_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rootly.com/v1/ai/sre/investigation_rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'type' => 'investigation_rules',
'attributes' => [
'name' => '<string>',
'instruction' => '<string>',
'cooldown_seconds' => 1073741823,
'position' => 2,
'conditions' => [
[
'field' => '<string>',
'values' => [
'<string>'
],
'key' => '<string>'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/vnd.api+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rootly.com/v1/ai/sre/investigation_rules"
payload := strings.NewReader("{\n \"data\": {\n \"type\": \"investigation_rules\",\n \"attributes\": {\n \"name\": \"<string>\",\n \"instruction\": \"<string>\",\n \"cooldown_seconds\": 1073741823,\n \"position\": 2,\n \"conditions\": [\n {\n \"field\": \"<string>\",\n \"values\": [\n \"<string>\"\n ],\n \"key\": \"<string>\"\n }\n ]\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/vnd.api+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rootly.com/v1/ai/sre/investigation_rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/vnd.api+json")
.body("{\n \"data\": {\n \"type\": \"investigation_rules\",\n \"attributes\": {\n \"name\": \"<string>\",\n \"instruction\": \"<string>\",\n \"cooldown_seconds\": 1073741823,\n \"position\": 2,\n \"conditions\": [\n {\n \"field\": \"<string>\",\n \"values\": [\n \"<string>\"\n ],\n \"key\": \"<string>\"\n }\n ]\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rootly.com/v1/ai/sre/investigation_rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/vnd.api+json'
request.body = "{\n \"data\": {\n \"type\": \"investigation_rules\",\n \"attributes\": {\n \"name\": \"<string>\",\n \"instruction\": \"<string>\",\n \"cooldown_seconds\": 1073741823,\n \"position\": 2,\n \"conditions\": [\n {\n \"field\": \"<string>\",\n \"values\": [\n \"<string>\"\n ],\n \"key\": \"<string>\"\n }\n ]\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "investigation_rules",
"attributes": {
"name": "<string>",
"resource_type": "alert",
"status": "manual",
"instruction": "<string>",
"cooldown_seconds": 1073741823,
"position": 2,
"conditions": [
{
"field": "<string>",
"operator": "is_one_of",
"values": [
"<string>"
],
"key": "<string>"
}
]
}
}
}